MODUNLOAD(8)

NAME
modunload - unload a module

SYNOPSIS
modunload -id module_id [ -exec exec_file ]

DESCRIPTION

modunload unloads a loadable module from a running system. The module_id is the ID of the module as shown by modstat(8).

OPTIONS

-exec exec_file
    This is the name of a shell script or executable image file that will be executed before the module is unloaded. It is always passed the module ID and module type as the first two arguments. For loadable drivers, the third and fourth arguments are the block major and character major numbers respectively. For a loadable system call, the third argument is the system call number.

SEE ALSO
modload(8), modstat(8)